Bug 1995645 - Please compile with -DSHOW_POSITION
Summary: Please compile with -DSHOW_POSITION
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: xfwm4
Version: 33
Hardware: All
OS: All
unspecified
urgent
Target Milestone: ---
Assignee: Kevin Fenzi
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2021-08-19 14:35 UTC by Artem S. Tashkinov
Modified: 2021-09-30 00:52 UTC (History)
2 users (show)

Fixed In Version: xfwm4-4.16.1-4.fc35
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-09-30 00:52:02 UTC
Type: Bug


Attachments (Terms of Use)

Description Artem S. Tashkinov 2021-08-19 14:35:20 UTC
XFWM4 has a hidden option which allows to see the dimensions of a window being moved/resized.

The option can only be found in the source code and can be enabled by passing -DSHOW_POSITION during compilation.

Please enable it.

The upstream bug report: https://gitlab.xfce.org/xfce/xfwm4/-/issues/559

Comment 1 Kevin Fenzi 2021-08-29 20:31:10 UTC
I've no objection to enabling this... but perhaps we should ask on the fedora xfce list and see if anyone has objections?

nonamedotc: what do you think?

Comment 2 Mukundan Ragavan 2021-08-29 20:58:15 UTC
Ah, I missed this bug report. I have no objection to this at all. I can enable this and build xfwm4.

I suspect this will not be break anything else but I would prefer to build only on rawhide and F35 - at least for the moment. What do you guys think?

Comment 3 Mukundan Ragavan 2021-09-19 13:37:53 UTC
configure: error: unrecognized option: `-DSHOW_POSITION'

I am unable to build it with this option. Do I have to regenerate configure?

Comment 4 Artem S. Tashkinov 2021-09-20 18:41:39 UTC
(In reply to Mukundan Ragavan from comment #3)

> I am unable to build it with this option. Do I have to regenerate configure?

Probably you need to add it to CFLAGS.

Comment 6 Fedora Update System 2021-09-25 00:37:39 UTC
FEDORA-2021-6755938d5c has been submitted as an update to Fedora 35. https://bodhi.fedoraproject.org/updates/FEDORA-2021-6755938d5c

Comment 7 Fedora Update System 2021-09-26 00:57:30 UTC
FEDORA-2021-6755938d5c has been pushed to the Fedora 35 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2021-6755938d5c`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2021-6755938d5c

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 8 Fedora Update System 2021-09-30 00:52:02 UTC
FEDORA-2021-6755938d5c has been pushed to the Fedora 35 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.